/**
 * @file passwd.c
 * @brief Gestion des mots de passe
*/

#include "main.h"

/**
 * @brief Encryption d'un mot de passe avec la méthode de César
 * @param password: Mot de passe à encrypter
 * @return int: Mot de passe encrypté
*/
int encrypt(int password)
{
    int i;
    for (i=0; i<len(password); i++)
    {
        password[i] = password[i] + 3*i; // On décale chaque caractère du mot de passe de 3*i
    }
    return password;
}

/**
 * @brief Décryption d'un mot de passe
 * @param password: Mot de passe à décrypter
 * @return int: Mot de passe décrypté
*/
int decrypt(int password)
{
    int i;
    for (i=0; i<len(password); i++)
    {
        password[i] = password[i] - 3*i; // On décale chaque caractère du mot de passe de 3*i
    }
    return password;
}